Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.context.event
Class OsgiBundleApplicationContextEvent

    java.lang.Object
      java.util.EventObject
          org.springframework.context.ApplicationEvent
              org.springframework.context.event.ApplicationContextEvent
                  org.eclipse.gemini.blueprint.context.event.OsgiBundleApplicationContextEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  BootstrappingDependenciesEvent, BootstrappingDependencyEvent, OsgiBundleContextClosedEvent, OsgiBundleContextFailedEvent, OsgiBundleContextRefreshedEvent

    public abstract class OsgiBundleApplicationContextEvent

extends org.springframework.context.event.ApplicationContextEvent

Base class for events raised for an `ApplicationContext` created inside an OSGi environment. Normally, events of this type are raised by the OSGi extender to notify 3rd parties, external to the context, about changes in the life cycle of the application context.

Note:While the context source is likely to be an implementation of `ConfigurableOsgiBundleApplicationContext`, this is not mandatory (it's entirely possible to have a non-OSGi aware `ApplicationContext` implementation).

Author:
  Costin Leau
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`OsgiBundleApplicationContextEvent(org.springframework.context.ApplicationContext source, org.osgi.framework.Bundle bundle)` Constructs a new `OsgiApplicationContextEvent` instance.

Method Summary
`org.osgi.framework.Bundle` | `getBundle()` Returns the OSGi `Bundle` associated with the application context that triggers the event.

Methods inherited from class org.springframework.context.event.ApplicationContextEvent
`getApplicationContext`

Methods inherited from class org.springframework.context.ApplicationEvent
`getTimestamp`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OsgiBundleApplicationContextEvent

    public OsgiBundleApplicationContextEvent(org.springframework.context.ApplicationContext source,
                                             org.osgi.framework.Bundle bundle)

  Constructs a new `OsgiApplicationContextEvent` instance.

  Parameters:
    `source` - the `ConfigurableOsgiBundleApplicationContext` that the event is raised for (must not be `null`)

Method Detail

### getBundle

    public org.osgi.framework.Bundle getBundle()

  Returns the OSGi `Bundle` associated with the application context that triggers the event.

  Returns:
    associated OSGi bundle

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.